/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "archiveHandle.h"

#include <kdebug.h>
#include <kurl.h>

#include <qfile.h>
#include <qregexp.h>
#include <qstring.h>

#include <string>

#include <dar/libdar.hpp>

archiveHandle::archiveHandle( KURL archiveURL ) : 
	m_archivePath(archiveURL.directory(true, false)),
	m_archiveFilename(archiveURL.fileName())
{
	//Check that the archiveHandle is valid
	trimFilename();
}

archiveHandle::~archiveHandle()
{
}

void archiveHandle::trimFilename() 
{
	m_archiveBasename = m_archiveFilename;
	int pos = m_archiveFilename.find(QRegExp(".[1-9][0-9]*.dar$"));
	if (pos >= 1)
	{
		kdDebug() << "archiveHandle::checkFilename(): I think it's a .dar file!" << endl;
		m_archiveBasename.truncate(pos);
		kdDebug() << "archiveHandle::checkFilename(): the archiveBasename is " << m_archiveBasename.latin1() << endl;
	}
}

QString archiveHandle::getArchivePath() const
{
	return m_archivePath;
}
	
QString archiveHandle::getArchiveFilename() const
{
	return m_archiveFilename;
}

QString archiveHandle::getArchiveBasename() const
{
	return m_archiveBasename;
}
	
libdar::path archiveHandle::getArchiveLibdarPath() const
{
	return libdar::path( m_archivePath.latin1() );
}

std::string archiveHandle::getArchiveBasenameString() const
{
	return m_archiveBasename.latin1();
}
