/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill,,,                           *
 *   jkerrb@shaw.ca                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef _ARCHIVEHANDLE_H_
#define _ARCHIVEHANDLE_H_

#include <kurl.h>

#include <qstring.h>

#include <string>

#include <dar/libdar.hpp>

class archiveHandle
{
public:
	
	archiveHandle( KURL archiveURL );
	virtual ~archiveHandle();
	
	void trimFilename();
	
	QString getArchivePath() const;
	QString getArchiveFilename() const;
	QString getArchiveBasename() const;
	libdar::path getArchiveLibdarPath() const;
	std::string getArchiveBasenameString() const;

private:
	QString m_archivePath;
	QString m_archiveFilename;
	QString m_archiveBasename;

};

#endif // _ARCHIVEHANDLE_H_
