/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _RESTOREARCHIVETHREAD_H_
#define _RESTOREARCHIVETHREAD_H_

#include <qthread.h>
#include <qmutex.h>

#include <klistview.h>

class KDarConfig;
class kdar;

class restoreArchiveThread : public QThread {

public:

	restoreArchiveThread( kdar * kdarWidget );
	virtual ~restoreArchiveThread();
	
	virtual void run();
	
	void setArchiveFileView( KListView * );
	void setKDarConfig( KDarConfig * );
	
private:

	KListView * m_archiveFileView;
	KDarConfig * m_kdc;
	QMutex mutex;
	kdar * widget;

};



#endif // _RESTOREARCHIVETHREAD_H_
